// 文章
import axios from "../util/ajax";

export default {
  //接入数据分析（柱状图）
  dashAccessDataAnalysisStat1(params){
    return axios.post('/dash/access/data/analysis/stat1', params)
  },
  //接入数据分析（饼图）
  dashAccessDataAnalysisStat2(params){
    return axios.post('/dash/access/data/analysis/stat2', params)
  },
  //获取交接班记录详情
  optPersonnelManagementShiftDetail(params){
    return axios.get('/opt/personnel/management/shift/detail', {params})
  },
  //获取交接班记录分页
  optPersonnelManagementShiftPage(params){
    return axios.get('/opt/personnel/management/shift/page', {params})
  },
  //编辑交接班记录
  optPersonnelManagementShiftEdit(params){
    return axios.post('/opt/personnel/management/shift/edit', params)
  },
  //删除交接班记录
  optPersonnelManagementShiftDelete(params){
    return axios.post('/opt/personnel/management/shift/delete', params)
  },
  //获取收费员信息分页
  optPersonnelManagementBasicPage(params){
    return axios.get('/opt/personnel/management/basic/page', {params})
  },
  //获取收费员信息分页
  optPersonnelManagementBasicDetail(params){
    return axios.get('/opt/personnel/management/basic/detail', {params})
  },



}
