// 文章
import axios from "../util/ajax";

export default {

  // 订单查询
  queryProductOrderSearchByPage(params) {
    return axios.get(`/opt/product/order/search/page`, {params})
  },
  // 泊位列表
  queryBerthListByPage(params) {
    return axios.get(`/opt/berth/list/page`, {params})
  },
  // 车场
  querySelectParkListByPage(params) {
    return axios.get(`/opt/common/select/park`, {params})
  },
  // 收费员
  querySelectTollmanListByPage(params) {
    return axios.get(`/opt/common/select/tollman`, {params})
  },
  // 异常管理——获取抬杆记录分页
  queryExceptionHandingLiftByPage(params) {
    return axios.get(`/opt/exception/handing/lift/page`, {params})
  },
  // 异常管理——添加抬杆记录
  addExceptionHandingLift(params) {
    return axios.post(`/opt/exception/handing/lift/add`, params)
  },
  // 异常管理——编辑抬杆记录
  editExceptionHandingLift(params) {
    return axios.post(`/opt/exception/handing/lift/edit`, params)
  },
  // 异常管理——删除抬杆记录
  deleteExceptionHandingLift(params) {
    return axios.post(`/opt/exception/handing/lift/delete`, params)
  },
  // 异常管理——获取特殊放行记录分页
  queryExceptionHandingSpecialByPage(params) {
    return axios.get(`/opt/exception/handing/special/page`, {params})
  },
  // 异常管理——添加特殊放行记录
  addExceptionHandingSpecial(params) {
    return axios.post(`/opt/exception/handing/special/add`, params)
  },
  // 异常管理——编辑特殊放行记录
  editExceptionHandingSpecial(params) {
    return axios.post(`/opt/exception/handing/special/edit`, params)
  },
  // 异常管理——删除特殊放行记录
  deleteExceptionHandingSpecial(params) {
    return axios.post(`/opt/exception/handing/special/delete`, params)
  },
  // 异常管理——获取车牌修正记录分页
  queryExceptionHandingCorrectionByPage(params) {
    return axios.get(`/opt/exception/handing/correction/page`, {params})
  },
  // 异常管理——添加车牌修正记录
  addExceptionHandingCorrection(params) {
    return axios.post(`/opt/exception/handing/correction/add`, params)
  },
  // 异常管理——编辑车牌修正记录
  editExceptionHandingCorrection(params) {
    return axios.post(`/opt/exception/handing/correction/edit`, params)
  },
  // 异常管理——删除车牌修正记录
  deleteExceptionHandingCorrection(params) {
    return axios.post(`/opt/exception/handing/correction/delete`, params)
  },
  // 异常管理——获取僵尸车清理记录分页
  queryExceptionHandingCleanByPage(params) {
    return axios.get(`/opt/exception/handing/clean/page`, {params})
  },
  // 异常管理——添加车牌修正记录
  addExceptionHandingClean(params) {
    return axios.post(`/opt/exception/handing/clean/add`, params)
  },
  // 异常管理——编辑车牌修正记录
  editExceptionHandingClean(params) {
    return axios.post(`/opt/exception/handing/clean/edit`, params)
  },
  // 异常管理——删除车牌修正记录
  deleteExceptionHandingClean(params) {
    return axios.post(`/opt/exception/handing/clean/delete`, params)
  },
  // 停车订单查询——获取欠费订单分页
  queryParkingOrderArrearsByPage(params) {
    return axios.get(`/opt/parking/order/arrears/page`, {params})
  },
  // 停车订单查询——获取支付订单分页
  queryParkingOrderByPage(params) {
    return axios.get(`/opt/parking/order/page`, {params})
  },
}
